| Version: 3.2.5

Public Member Functions | List of all members
wxDCOverlay Class Reference

`#include <wx/overlay.h>`

## Detailed Description

Connects an overlay with a drawing DC.

##

Library: wxCore

See also
  wxOverlay, wxDC

## Public Member Functions

| wxDCOverlay (wxOverlay &overlay, wxDC *dc, int x, int y, int width, int height)
| Connects this overlay to the corresponding drawing dc, if the overlay is not initialized yet this call will do so. More...
| wxDCOverlay (wxOverlay &overlay, wxDC *dc)
| Convenience wrapper that behaves the same using the entire area of the dc. More...
virtual | ~wxDCOverlay ()
| Removes the connection between the overlay and the dc. More...
void | Clear ()
| Clears the layer, restoring the state at the last init. More...

## Constructor & Destructor Documentation

## ◆ wxDCOverlay() [1/2]

wxDCOverlay::wxDCOverlay | ( | wxOverlay & | overlay,
|  | wxDC * | dc,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |  |

Connects this overlay to the corresponding drawing dc, if the overlay is not initialized yet this call will do so.

## ◆ wxDCOverlay() [2/2]

wxDCOverlay::wxDCOverlay | ( | wxOverlay & | overlay,
|  | wxDC * | dc
| ) |  |

Convenience wrapper that behaves the same using the entire area of the dc.

## ◆ ~wxDCOverlay()

virtual wxDCOverlay::~wxDCOverlay | ( |  | ) |

virtual

Removes the connection between the overlay and the dc.

## Member Function Documentation

## ◆ Clear()

void wxDCOverlay::Clear | ( |  | ) |

Clears the layer, restoring the state at the last init.